Bug 6293 - [Font Scaling: Retina Mac] MonoDevelop fonts are blurry on Retina MacBook Pro
Summary: [Font Scaling: Retina Mac] MonoDevelop fonts are blurry on Retina MacBook Pro
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: General (show other bugs)
Version: 3.0.x
Hardware: Macintosh Mac OS
: High blocker
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2012-07-26 04:17 UTC by Dean Wills
Modified: 2012-08-15 01:10 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Screen Shot of Blurry Fonts (92.13 KB, image/png)
2012-07-26 04:17 UTC, Dean Wills
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Dean Wills 2012-07-26 04:17:02 UTC
Created attachment 2259 [details]
Screen Shot of Blurry Fonts

This is a relatively common problem across the industry. BBEdit and FireFox have the same problem. The fonts in MonoDevelop are not scaled appropriately on the new Retina Macs, and the result is a blurry experience.

This is on 3.0.3.4
Comment 1 Kevin Jones 2012-08-03 13:33:49 UTC
A temporary work around has been put on StackOverflow to fix the font rendering. Use at your own risk.

http://stackoverflow.com/questions/11798550/can-i-compile-monodevelop-to-look-good-on-retina-display/11798968#11798968
Comment 2 Jeffrey Stedfast 2012-08-04 09:43:52 UTC
thanks Kevin for the SO link and the workaround pointer.

bumping this up in priority
Comment 3 Kevin Jones 2012-08-14 12:14:04 UTC
A commit has been made that resolves the issue.

https://github.com/mono/monodevelop/commit/8d2c22ca696f64eb258e57a2aa3c0468ff330148
Comment 4 Alan McGovern 2012-08-14 12:14:42 UTC
This has already been fixed and should make it out in the next release.
Comment 5 Dean Wills 2012-08-15 01:10:51 UTC
Confirmed fixed on 3.0.4.3 : OK to close from my POV.